#include "mbed.h"
#include "one_wire.h"

int main() {
    OneWire temp(D13);

    while(1) {
        temp.prepare_read();
        wait_ms(1000);
        uint8_t data[9];
        int value = temp.read_temperature_raw(data, sizeof(data));
        for(int i = 0; i < sizeof(data); i++) {
            printf("%02x ", data[i]);
        }
        printf("\n%d\n", value);
    }
}
